package pps.core.middle.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("WEATHER_ATTACHMENT_RECORD")
public class WeatherAttachmentRecordEnt implements Serializable {
    @XText("ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @XText("邮件时间")
    @TableField
    private Date emailDataTime;

    @XText("邮件附件下载地址")
    @TableField
    private String emailAttachmentUrl;

    @XText("邮件名称")
    @TableField
    private String emailName;
}
